/// <reference types="vite/client" />

/** 代指任意类型 请不要随意使用 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
declare type Any = any

declare module '*.vue' {
  import type { DefineComponent } from 'vue'
  const component: DefineComponent<{}, {}, Any>
  export default component
}

declare module 'tank-vue3-seamless-scroll'
